> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of all the FIDs

> Fetch a list of all the FIDs.



## OpenAPI

````yaml get /v1/fids
openapi: 3.0.4
info:
  title: Farcaster Hub API
  version: 2.35.0
  description: >
    Perform basic queries of Farcaster state via the REST API of a Farcaster
    hub. See the [Neynar docs](https://docs.neynar.com/reference) for more
    details.
  contact:
    name: Neynar
    url: https://neynar.com/
    email: team@neynar.com
servers:
  - url: https://snapchain-api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - name: Info
    description: Operations related to hub information.
  - name: Casts
    description: Operations related to casts.
  - name: Reactions
    description: Operations related to reactions.
  - name: Links
    description: Operations related to links.
  - name: UserData
    description: Operations related to user data.
  - name: Fids
    description: Operations related to FIDs.
  - name: Storage
    description: Operations related to storage limits.
  - name: Usernames
    description: Operations related to usernames.
  - name: Verifications
    description: Operations related to verifications.
  - name: OnChainEvents
    description: Operations related to on-chain events.
  - name: Message
    description: Operations related to messages.
  - name: HubEvents
    description: Operations related to hub events.
paths:
  /v1/fids:
    get:
      tags:
        - Fids
      summary: Fetch a list of all the FIDs
      description: Fetch a list of all the FIDs.
      operationId: fetch-fids
      parameters:
        - name: shard_id
          in: query
          description: The shard ID to filter by
          schema:
            type: integer
          required: true
          example: 1
        - $ref: '#/components/parameters/pageSize'
        - $ref: '#/components/parameters/paginationReverse'
        - $ref: '#/components/parameters/pageToken'
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FidsResponse'
        default:
          $ref: '#/components/responses/ErrorResponse'
      externalDocs:
        description: Fetch a list of all the FIDs
        url: https://docs.neynar.com/reference/fetch-fids
components:
  parameters:
    pageSize:
      name: pageSize
      in: query
      description: Maximum number of messages to return in a single response
      schema:
        type: integer
    paginationReverse:
      name: reverse
      in: query
      description: Reverse the sort order, returning latest messages first
      schema:
        type: boolean
    pageToken:
      name: pageToken
      in: query
      description: >-
        The page token returned by the previous query, to fetch the next page.
        If this parameter is empty, fetch the first page
      schema:
        type: string
  schemas:
    FidsResponse:
      allOf:
        - type: object
          properties:
            fids:
              type: array
              items:
                $ref: '#/components/schemas/FidSchema'
          required:
            - fids
        - $ref: '#/components/schemas/PaginationResponse'
    FidSchema:
      type: integer
      format: uint64
      minimum: 1
      description: >
        Farcaster ID (FID). A unique identifier assigned to each user in the
        Farcaster network. This number is permanent and cannot be changed. FIDs
        are assigned sequentially when users register on the network.
      example: 1
    PaginationResponse:
      type: object
      required:
        - nextPageToken
      properties:
        nextPageToken:
          type: string
          format: byte
          pattern: ^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$
          description: >-
            Base64-encoded pagination token for fetching the next page of
            results. An empty value indicates there are no more pages to return.
            Used in conjunction with the pageSize parameter to implement
            pagination across large result sets.
          example: AuzO1V0DtaItCwwa10X6YsfStlynsGWT
    ErrorResponse:
      required:
        - code
        - details
        - errCode
        - metadata
        - name
        - presentable
      type: object
      properties:
        errCode:
          type: string
        presentable:
          type: boolean
        name:
          type: string
        code:
          type: integer
        details:
          type: string
        metadata:
          required:
            - errcode
          type: object
          properties:
            errcode:
              type: array
              items:
                type: string
  responses:
    ErrorResponse:
      description: An unexpected error response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key to authorize requests
      x-default: NEYNAR_API_DOCS

````